[med-svn] [Git][med-team/umap-learn][master] Add autopkgtests

Nilesh Patra gitlab at salsa.debian.org
Tue May 26 18:54:03 BST 2020



Nilesh Patra pushed to branch master at Debian Med / umap-learn


Commits:
b8b017e0 by Nilesh Patra at 2020-05-26T23:23:49+05:30
Add autopkgtests

- - - - -


2 changed files:

- + debian/tests/control
- + debian/tests/run-unit-test


Changes:

=====================================
debian/tests/control
=====================================
@@ -0,0 +1,4 @@
+Tests: run-unit-test
+Depends: @, python3-all, python3-matplotlib, python3-numpy, python3-numba, python3-sklearn
+Restrictions: allow-stderr
+


=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,17 @@
+#!/bin/bash
+set -e
+
+pkg=umap-learn
+
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+  AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+  trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cp /usr/share/doc/${pkg}/examples/* -a "${AUTOPKGTEST_TMP}"
+
+cd "${AUTOPKGTEST_TMP}"
+gunzip -r *
+
+python3 umap_example.py
+



View it on GitLab: https://salsa.debian.org/med-team/umap-learn/-/commit/b8b017e06af7e84633607598667fd8276b95f8d7

-- 
View it on GitLab: https://salsa.debian.org/med-team/umap-learn/-/commit/b8b017e06af7e84633607598667fd8276b95f8d7
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20200526/e40b65c1/attachment.html>


More information about the debian-med-commit mailing list